Bug 204561 - Review Request: python-pyspf - Sender Policy Framework library for Python.
Review Request: python-pyspf - Sender Policy Framework library for Python.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On: 204560
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-29 19:55 EDT by jafo-redhat
Modified: 2014-10-22 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 15:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2006-08-29 19:55:11 EDT
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf-1.7-1.noarch.rpm
Description: A Python library for doing SPF (Sender Policy Framework) lookups.  This depends on python-pydns (just submitted).

This is my second package, I need a sponsor.
Comment 1 Peter Gordon 2006-08-29 21:48:32 EDT
(Adding bug dependency for the python-pydns review request.)

On a brief looking-over, your Source0 should be a full URL to the source tarball
(or if that does not make, a brief explanation as to why it is not a full URL as
a comment). 
Comment 2 Kevin Fenzi 2006-08-29 22:52:34 EDT
I'd be happy to take a look at this. 
In addition to the item from comment #1, the SRPM URL is pointing to the noarch 
package, not the src.rpm. Update those and I can do a formal review. 
Comment 3 jafo-redhat 2006-08-30 06:19:37 EDT
I've updated the URL, and have pushed new versions up.

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf-1.7-2.src.rpm
Comment 4 Kevin Fenzi 2006-08-30 22:49:25 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
eabc78b67018efdfea68ae9b9d545e80  pyspf-1.7.tar.gz
eabc78b67018efdfea68ae9b9d545e80  pyspf-1.7.tar.gz.1
OK - Package compiles and builds on at least one arch.
See below - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.
SHOULD Items:
See below - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. There seems to be some confusion on the license on this package...
You have 'Python License' in the spec, but the package lists
'Python Software Foundation License' in several places. Most confusingly,
the spfquery.py file says it's released under the GPL:

PKG-INFO:License: Python Software Foundation License
PKG-INFO:Classifier: License :: OSI Approved :: Python Software Foundation 
License
README:License: Python Software Foundation License
setup.py:      license='Python Software Foundation License',
setup.py:       'License :: OSI Approved :: Python Software Foundation License',
spfquery.py:# This code is under the GNU General Public License.  See COPYING 
for details.

2. rpmlint has some output:

W: python-pyspf summary-ended-with-dot Python module and programs for SPF 
(Sender Policy Framework).

suggest: remove the . at the end of summary.

W: python-pyspf incoherent-version-in-changelog 1.7-1 1.7-2.fc6

suggest: add changelog for -2 release.

W: python-pyspf invalid-license Python License

suggestion: see issue 1.

E: python-pyspf non-executable-script /usr/lib/python2.4/site-packages/spf.py 
0644
                                                                                          
spf.py has a #! for python, so it should either be 755 or (more likely) have
the top line simply removed so it can be used as a python module instead of a 
script.
Comment 5 jafo-redhat 2006-08-31 02:04:55 EDT
Thanks for the review, Kevin.  I've got a corrected version at:

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf-1.7-3.src.rpm
Comment 6 jafo-redhat 2006-08-31 17:33:17 EDT
This version has a changelog for the -2 release as well.

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-pyspf-1.7-4.src.rpm

Comment 7 jafo-redhat 2006-08-31 18:01:00 EDT
According to an e-mail from the author, the license for spfquery will be changed
to the Python license:

From: "Stuart D. Gathman" <stuart@bmsi.com>
Date: Thu, 31 Aug 2006 11:05:12 -0400 (EDT)
To: Sean Reifschneider <jafo@tummy.com>

On Wed, 30 Aug 2006, Sean Reifschneider wrote:

> In pyspf 1.7, spfquery.py says it's GPLed, but the PKG-INFO file says it's
> under the Python Software Foundation License.

Spfquery is by me.  It was originally for pymilter - which is GPL
due to the original author.  I will change it to Python license.
I would like to change pymilter as well, with the original authors
permission.
Comment 8 Kevin Fenzi 2006-08-31 21:40:20 EDT
ok. 
Almost everything is fixed up, but I am still getting the rpmlint: 
E: python-pyspf non-executable-script /usr/lib/python2.4/site-packages/spf.py 
0644

I don't think the construct you are using is working right. 
How about something like: 

sed -i -e 's|^#!/usr/bin/env python$||' %{python_sitelib}/spf.py
Comment 10 Kevin Fenzi 2006-08-31 22:22:21 EDT
Excellent. That looks good to go... this package is APPROVED. 
Comment 11 jafo-redhat 2006-09-01 15:09:00 EDT
The package was imported and built.
Comment 12 Sean Reifschneider 2007-06-11 19:14:40 EDT
Package Change Request
======================
Package Name: python-pyspf
New Branches: EL-5

Want to get it into EPEL as well.
Comment 13 Kevin Fenzi 2007-06-11 19:36:38 EDT
branch done.
Comment 14 Paul Wouters 2014-10-22 10:26:25 EDT
Package Change Request
======================
Package Name: python-pyspf
New Branches: epel7
Comment 15 Paul Wouters 2014-10-22 10:27:11 EDT
Package Change Request
======================
Package Name: python-pyspf
New Branches: epel7
Owners: pwouters
Comment 16 Jon Ciesla 2014-10-22 12:41:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.